Skip to main content
`Ctrl`+`K`

# numpy.ndarray.base

attribute

ndarray.base

  Base object if memory is from some other object.

  Examples

  The base of an array that owns its memory is None:

      >>> import numpy as np
      >>> x = np.array([1,2,3,4])
      >>> x.base is None
      True

  Slicing creates a view, whose memory is shared with x:

      >>> y = x[2:]
      >>> y.base is x
      True